Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.campaigns.archive('CAMPAIGN_ID');curl --request POST \
--url https://api.migma.ai/v1/campaigns/{id}/archive \
--header 'Authorization: <api-key>'import requests
url = "https://api.migma.ai/v1/campaigns/{id}/archive"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)
{
"success": true,
"data": {
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"conversationId": "<string>",
"emailId": "<string>",
"subject": "<string>",
"preheaderText": "<string>",
"from": "jsmith@example.com",
"fromName": "<string>",
"replyTo": "<string>",
"recipientId": "<string>",
"topicId": "<string>",
"estimatedRecipients": 123,
"variables": {},
"scheduledAt": "2023-11-07T05:31:56Z",
"scheduledTimezone": "<string>",
"batchId": "<string>",
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"error": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}Archive Campaign
Archive a campaign to hide it from the default campaign list. Works for any status. Archived campaigns are excluded from list results unless the archived filter is set. Requires API key with email:send.
POST
/
v1
/
campaigns
/
{id}
/
archive
Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.campaigns.archive('CAMPAIGN_ID');Authorizations
API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → Developers → API Keys.
Path Parameters
Campaign ID
Was this page helpful?
⌘I